package de.ctdo.crashtest;

import de.ctdo.crashtest.domotics.BuntiClient;
import de.ctdo.crashtest.gui.GuiEventListener;
import de.ctdo.crashtest.gui.MainGui;

public class TestClass  {

    public TestClass() {

        BuntiClient bunti = new BuntiClient("bunti.ctdo.de",8080);

        int pause = 500;

        try {

            while(true) {
                for(int i = 0; i< 3; i++) {
                    Thread.sleep(pause);
                    bunti.setLampel(true, false, true);
                    Thread.sleep(pause);
                    bunti.setLampel(false, true, true);
                    Thread.sleep(pause);
                    bunti.setLampel(false, false, true);
                    Thread.sleep(pause);
                    bunti.setLampel(false, false, false);
                    Thread.sleep(pause);
                    bunti.setLampel(true, true, true);
                    Thread.sleep(pause);
                    bunti.setLampel(false, false, true);
                    Thread.sleep(pause);
                    bunti.setLampel(true, true, true);
                    Thread.sleep(pause);
                    bunti.setLampel(false, false, false);
                }

                //Thread.sleep(2000);
            }
        }
        catch (InterruptedException ignored) {}

    }

    public static void main(String args[]) {
        new TestClass();
    }

}
